Package org.silverpeas.components.kmelia

## Class RssLastPublicationsServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.silverpeas.components.kmelia.RssLastPublicationsServlet

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public class RssLastPublicationsServlet
      extends javax.servlet.http.HttpServlet

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `LOGIN_PARAM` |
    `static String` | `PASSWORD_PARAM` |
    `static String` | `SPACE_ID_PARAM` |
    `static String` | `USER_ID_PARAM` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RssLastPublicationsServlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getChannelTitle​(String spaceId)` |
    `Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail>` | `getElements​(KmeliaTransversal kmeliaTransversal, String spaceId)` |
    `org.silverpeas.core.personalization.UserPreferences` | `getPersonalization​(String userId)` | Return the personalization service layer
    `String` | `getServerURL​(org.silverpeas.core.admin.user.model.UserFull user)` |
    `boolean` | `isSpaceAvailable​(String userId, String spaceId)` |
    `boolean` | `isUserAuthorized​(org.silverpeas.core.admin.user.model.UserFull user, String login, String password, String spaceId)` |
    `protected void` | `objectNotFound​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` |
    `void` | `service​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `com.rometools.rome.feed.synd.SyndEntry` | `toSyndEntry​(org.silverpeas.core.contribution.publication.model.PublicationDetail publication, String serverURL, String lang)` |

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPACE_ID_PARAM

          public static final String SPACE_ID_PARAM

      See Also:
        Constant Field Values

    - #### USER_ID_PARAM

          public static final String USER_ID_PARAM

      See Also:
        Constant Field Values

    - #### PASSWORD_PARAM

          public static final String PASSWORD_PARAM

      See Also:
        Constant Field Values

    - #### LOGIN_PARAM

          public static final String LOGIN_PARAM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RssLastPublicationsServlet

          public RssLastPublicationsServlet()

  - ### Method Detail

    - #### service

          public void service​(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)
                       throws javax.servlet.ServletException,
                              IOException

      Overrides:
        `service` in class `javax.servlet.http.HttpServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### getElements

          public Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail> getElements​(KmeliaTransversal kmeliaTransversal,
                                                                                                              String spaceId)

    - #### toSyndEntry

          public com.rometools.rome.feed.synd.SyndEntry toSyndEntry​(org.silverpeas.core.contribution.publication.model.PublicationDetail publication,
                                                                    String serverURL,
                                                                    String lang)
                                                             throws MalformedURLException

      Throws:
        `MalformedURLException`

    - #### getChannelTitle

          public String getChannelTitle​(String spaceId)

    - #### getServerURL

          public String getServerURL​(org.silverpeas.core.admin.user.model.UserFull user)

    - #### isUserAuthorized

          public boolean isUserAuthorized​(org.silverpeas.core.admin.user.model.UserFull user,
                                          String login,
                                          String password,
                                          String spaceId)

    - #### isSpaceAvailable

          public boolean isSpaceAvailable​(String userId,
                                          String spaceId)

    - #### objectNotFound

          protected void objectNotFound​(javax.servlet.http.HttpServletRequest req,
                                        javax.servlet.http.HttpServletResponse res)
                                 throws IOException

      Throws:
        `IOException`

    - #### getPersonalization

          public org.silverpeas.core.personalization.UserPreferences getPersonalization​(String userId)

      Return the personalization service layer
      Parameters:
        `userId` - the user identifier
      Returns:
        the UserPreferences of user identified by userId